problems with installing GD.pm 
Author Message
 problems with installing GD.pm

Im trying to get PNGraph working. But this requires GD.pm and says the
following:


/usr/lib/perl5/5.00503 /usr/lib/perl5/site_perl/5.005/i386-linux
/usr/lib/perl5/site_perl/5.005 .) at
/usr/lib/perl5/site_perl/5.005/PNGgraph.pm line 33.
BEGIN failed--compilation aborted at
/usr/lib/perl5/site_perl/5.005/PNGgraph.pm line 33.
BEGIN failed--compilation aborted at
/usr/lib/perl5/site_perl/5.005/PNGgraph/pie.pm line 16.

I already tried to install GD.pm from GD-1.38.tar.gz downloaded from
cpan.org but i always get to see the following compilation errors:

[root GD-1.38]# /usr/bin/perl Makefile.PL
NOTICE: This module requires libgd 1.8.4 or higher (shared library version
4.X).

Please choose the features that match how libgd was built:
Build JPEG support? [y]
Build FreeType support? [y] n
Build XPM support? [y] n
Build GIF support (for patched versions of gd)? [n]


arrays defined in Makefile.PL and manually adjust, if necessary.

Writing Makefile for GD
[root GD-1.38]# make
cc -c -I/usr/local/include -I/usr/local/include/gd -Dbool=char -DHAS_BOOL -I
/usr/local/include -O2    -DVERSION=\"1.38\" -DXS_VERSION=\"1.38\" -fpic -I/
usr/lib/perl5/5.00503/i386-linux/CORE -DHAVE_JPEG GD.c
Running Mkbootstrap for GD ()
chmod 644 GD.bs
LD_RUN_PATH="/usr/lib:/usr/local/lib:/lib" cc -o
lib/arch/auto/GD/GD.so  -shared -L/usr/local/lib
GD.o    -L/usr/lib/X11 -L/usr/X11R6/lib -L/usr/local/lib -lgd -lpng -lz -ljp
eg -lm
/usr/bin/ld: cannot find -ljpeg
collect2: ld returned 1 exit status
make: *** [blib/arch/auto/GD/GD.so] Error 1
[root GD-1.38]# make install
LD_RUN_PATH="/usr/lib:/usr/local/lib:/lib" cc -o
lib/arch/auto/GD/GD.so  -shared -L/usr/local/lib
GD.o    -L/usr/lib/X11 -L/usr/X11R6/lib -L/usr/local/lib -lgd -lpng -lz -ljp
eg -lm
/usr/bin/ld: cannot find -ljpeg
collect2: ld returned 1 exit status
make: *** [blib/arch/auto/GD/GD.so] Error 1

Can anyone help me ??

Thanks in advance,
Andreas



Thu, 04 Nov 2004 20:03:10 GMT  
 problems with installing GD.pm
hi

you also need the libgd c-library from:

         http://www.boutell.com/gd/

regards,
  __              _      
 / _|_ __ ___  __| | ___    geek
| |_| '__/ _ \/ _` |/ _ \
|  _| | |  __/ (_| | (_) |  linux, aix, solaris, *bsd
|_| |_|  \___|\__,_|\___/   apache, mysql, perl, php



Fri, 05 Nov 2004 01:24:05 GMT  
 problems with installing GD.pm



Quote:
> hi

> you also need the libgd c-library from:

> http://www.boutell.com/gd/

I downloaded gd-1.8.4.tar.gz from boutell.com and after typing make the
following happened:

gcc -I. -I/usr/include/freetype2 -I/usr/include/X11 -I/usr/X11R6/include/X11
 -I/usr/local/include  -O -DHAVE_LIBPNG -DHAVE_LIBJPEG   -c -o gd_png.o
gd_png.c
gd_png.c:7: png.h: No such file or directory
make: *** [gd_png.o] Error 1

Any idea ?

Andreas



Fri, 05 Nov 2004 20:14:26 GMT  
 problems with installing GD.pm

Quote:

> > you also need the libgd c-library from:

> > http://www.boutell.com/gd/

[...]

Quote:
> Any idea ?

In the words of its author:

   Questions? READ THE MANUAL THOROUGHLY FIRST.

That's the idea.

http://www.boutell.com/gd/manual1.8.4.html#required



Fri, 05 Nov 2004 22:45:27 GMT  
 problems with installing GD.pm

Quote:

> gd_png.c:7: png.h: No such file or directory
> make: *** [gd_png.o] Error 1

> Any idea ?

> Andreas

 Running RH 7.1, I have png.h in /usr/local/include/. Make sure it's
there. If not, see if it's elsewhere on your machine, and edit your
configure script to reflect your system layout. If you plain can't
find it, be sure you have libpng installed. Maybe it needs to be
reinstalled.

 - Aodhan



Sat, 06 Nov 2004 02:09:00 GMT  
 
 [ 5 post ] 

 Relevant Pages 

1. problem in installing GD.pm

2. Problems installing GD.pm on HPUX

3. Problem installing GD.pm.

4. Help...Problem Installing GD.pm?

5. Problems installing GD.pm on Solaris 5.8

6. Install Problem with GD.pm

7. problems installing GD.pm

8. GD.pm install problems

9. install problems with GD.pm :((

10. Problems installing/testing GD.pm

11. Install problems with GD.pm on DEC unix

12. Problem installing gd.pm

 

 
Powered by phpBB® Forum Software